- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
PAG1TextStorageElement.cpp File Reference
`#include "PAG1TextStorageElement.h"`
`#include <cassert>`
`#include <string>`
`#include <boost/optional.hpp>`
`#include <librevenge/librevenge.h>`
`#include "IWORKLayoutElement.h"`
`#include "IWORKLinkElement.h"`
`#include "IWORKMediaElement.h"`
`#include "IWORKPElement.h"`
`#include "IWORKPositionElement.h"`
`#include "IWORKRefContext.h"`
`#include "IWORKSpanElement.h"`
`#include "IWORKTabularInfoElement.h"`
`#include "IWORKText.h"`
`#include "IWORKTextBodyElement.h"`
`#include "IWORKToken.h"`
`#include "PAG1Dictionary.h"`
`#include "PAG1FootnotesElement.h"`
`#include "PAG1ParserState.h"`
`#include "PAGCollector.h"`
`#include "libetonyek_xml.h"`

## Namespaces
| libetonyek

## Variable Documentation

bool m_block
| private

IWORKXMLContext& m_context
| private

FootnoteHelper m_footnoteHelper
| private

optional<double> m_h

bool m_known
| private

bool m_opened
| private

PageFrame m_pageFrame
| private

optional<IWORKPosition> m_position
| private

optional<ID_t> m_ref
| private

PAG1ParserState& m_state
| private

optional<string> m_style
| private

optional<double> m_w

optional<double> m_x

Referenced by libetonyek::PAGCollector::drawMedia(), libetonyek::IWORKLineElement::endOfElement(), and libetonyek::IWORKPath::Impl::Impl().

optional<double> m_y

Referenced by libetonyek::PAGCollector::drawMedia(), libetonyek::IWORKLineElement::endOfElement(), libetonyek::IWORKPath::Impl::Impl(), and libetonyek::IWAParser::parseDrawableShape().